vbi_channel_profile Struct Reference
Raw VBI » VBI capture proxy interface

Proxy scheduler parameters for background channel switching. More...

`#include <proxy-msg.h>`

## Data Fields

uint8_t | is_valid
uint8_t | sub_prio
uint8_t | allow_suspend
uint8_t | reserved0
time_t | min_duration
time_t | exp_duration
uint8_t | reserved1 [16]

## Detailed Description

Proxy scheduler parameters for background channel switching.

This structure is passed along with channel change requests for clients with priority `VBI_CHN_PRIO_BACKGROUND`. The parameters are used by the proxy daemon to share channel control between multiple clients with background priority.

## Field Documentation

## is_valid

uint8_t vbi_channel_profile::is_valid

Boolean: Ignore contents of this struct unless TRUE

## sub_prio

uint8_t vbi_channel_profile::sub_prio

Sub-priority for channel scheduling at "background" priority. You can use aribtrary values in the range 0 ... 256, but as this value is only meaningful in relation to priorities used by other clients, you should stick to the scale defined by VBI_CHN_SUBPRIO

## allow_suspend

uint8_t vbi_channel_profile::allow_suspend

Boolean: Set to FALSE if your capture client needs an atomic time slice (i.e. would need to restart capturing from the beginning it it was interrupted.)

## min_duration

time_t vbi_channel_profile::min_duration

Minimum time slice your capture client requires. This value is used when multiple clients have the same sub-priority to give all clients channel control in a round-robin manner.

## exp_duration

time_t vbi_channel_profile::exp_duration

Expected duration of use of that channel